Tx Search
GET
Searches for transactions matching the query conditions.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
querystringrequired
Transaction search query string.provestring
String boolean indicating whether to include the transaction's block inclusion proof in the result.pagestring
Page number (starting from 1).per_pagestring
Number of items to return per page (maximum 100).order_bystring
Sort order. "asc" or "desc". Defaults to the default sort order if omitted.Responses
jsonrpcstringrequired
idintegerrequired
hashstring
heightstring
indexinteger
logstring
gas_wantedstring
gas_usedstring
keystring
valuestring
indexboolean
txstring
RootHashstring
Datastring
totalstring
indexstring
leaf_hashstring
auntsarray
total_countstringrequired
cURL
curl -X GET 'https://rpc-initia-mainnet.nodit.io/tx_search?query=tx.height%3D1000&prove=false&page=1&per_page=30&order_by=asc' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'